"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-311/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769300>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769440>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000196587693A0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000196587694E0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769580>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769620>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000196587696C0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769760>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769800>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000196587698A0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769940>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x00000196587699E0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769A80>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769B20>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769BC0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769C60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769D00>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769DA0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769E40>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769EE0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658769F80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A020>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A0C0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A160>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A200>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A2A0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A340>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A3E0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A480>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A520>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A5C0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A660>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A700>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A7A0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A840>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A8E0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876A980>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876AA20>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876AAC0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876AB60>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876AC00>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876ACA0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876AD40>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876ADE0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876AE80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876AF20>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876AFC0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B060>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B100>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B1A0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B240>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B2E0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B380>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B420>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B4C0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B560>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B600>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B6A0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B740>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B7E0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B880>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B920>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876B9C0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876BA60>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876BB00>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876BBA0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876BC40>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876BCE0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876BD80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876BE20>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876BEC0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001965876BF60>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658780040>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x00000196587800E0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658780180>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658780220>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x00000196587802C0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658780360>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658780400>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658780540>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x00000196587804A0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x00000196587805E0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658780680>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000019658780720>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x00000196587807C0>)]
name: str = 'fr_HOCCN'
